import request from '@/utils/request'

// 查询企业信息列表
export function listCompany(query) {
  return request({
    url: '/system/company/list',
    method: 'get',
    params: query
  })
}

// 查询企业信息详细
export function getCompany(companyId) {
  return request({
    url: '/system/company/' + companyId,
    method: 'get'
  })
}

// 新增企业信息
export function addCompany(data) {
  return request({
    url: '/system/company/add',
    method: 'post',
    data: data
  })
}

// 修改企业信息
export function updateCompany(data) {
  return request({
    url: '/system/company/upd',
    method: 'post',
    data: data
  })
}

// // 删除企业信息
// export function delCompany(companyId) {
//   return request({
//     url: '/system/company/' + companyId,
//     method: 'delete'
//   })
// }

// 导出企业模板下载

export function downTemplate() {
  return request({
    url: '/system/company/export',
    method: 'get',
  })
}

// 开始模板导入 

export function importTemplate() {
  return request({
    url: '/system/company/import',
    method: 'get',
  })
}

// 导入记录 /system/company/export


export function importTemplateRecord() {
  return request({
    url: '/system/company/export',
    method: 'get',
  })
}
// /system/doc/list 慧企政策列表
export function docList(params) {
  return request({
    url: '/system/doc/list',
    method: 'get',
    params: params
  })
}
// 新增企业信息 /system/doc/add
export function addDoc(data) {
  return request({
    url: '/system/doc/add',
    method: 'post',
    data: data
  })
}
// 修改政策 /system/doc/upd
export function updDoc(data) {
  return request({
    url: '/system/doc/upd',
    method: 'post',
    data: data
  })
}
// system/doc/ 删除政策
export function delDoc(data) {
  return request({
    url: `/system/doc/${data.delId}`,
    method: 'DELETE',
    data: data
  })
}
// 处理导入信息 
export function doImport(data) {
  return request({
    url: `/system/company/doImport`,
    method: 'post',
    data: data
  })
}
// 上传文件信息/tool/file/upload

export function uploadFile(data) {
  return request({
    url: `/tool/file/upload`,
    method: 'post',
    data: data
  })
}
// 校验导入信息 /system/company/checkImport
export function checkImport(data) {
  return request({
    url: `/system/company/checkImport`,
    method: 'post',
    data: data
  })
}
// 保存导入信息 /system/company/saveImport
export function saveImport(data) {
  return request({
    url: `/system/company/saveImport`,
    method: 'post',
    data: data
  })
}
// 删除企业信息 listCompany
export function delCompany(data) {
  return request({
    url: `/system/company/${data.delId}`,
    method: 'DELETE',
  })
}
// 审核 /tool/check/checkOrder
export function checkOrder(data) {
  return request({
    url: `/tool/check/checkOrder`,
    method: 'post',
    data: data
  })
}
// 执法单列表 /enforce/order/list
export function listOrder(data) {
  return request({
    url: `/enforce/order/list`,
    method: 'post',
    data: data
  })
}
// 执法评价项
export function listEvaluate(data) {
  return request({
    url: `/enforce/evaluate/detail`,
    method: 'get',
    params: data
  })
}
// 修改状态 /system/company/updStatus
export function updStatus(data) {
  return request({
    url: `/system/company/updStatus`,
    method: 'post',
    data: data
  })
}
// 执法评价管理 /enforce/evaluate/save
export function saveEvaluate(data) {
  return request({
    url: `/enforce/evaluate/save`,
    method: 'post',
    data: data
  })
}
// 投诉处理 /enforce/complaint/log/list
export function listComplaint(data) {
  return request({
    url: `/enforce/complaint/log/list`,
    method: 'get',
    params: data
  })
}
// 企业执法记录 /enforce/order/companyList

export function companyListEnforce(data) {
  return request({
    url: `/enforce/order/commonList`,
    method: 'get',
    params: data
  })
}

// 查看执法单详情 /enforce/order/{orderId}
export function getOrder(data) {
  return request({
    url: `/enforce/order/${data.orderId}`,
    method: 'get',
    params: data
  })
}
// 响应 /enforce/complaint/log/inComplaint
export function inComplaintLog(data) {
  return request({
    url: `/enforce/complaint/log/inComplaint`,
    method: 'post',
    data: data
  })
}
// 修改投诉记录 /enforce/complaint/log/upd

export function updComplaintLog(data) {
  return request({
    url: `/enforce/complaint/log/upd`,
    method: 'post',
    data: data
  })
}

// 数据汇总 /report/team/getTotalInfo
export function getTotalInfo(data) {
  return request({
    url: `/report/team/getTotalInfo`,
    method: 'get',
    params: data
  })
}
// /report/team/getMonthCount 执法次数月度分布
export function getMonthCount(data) {
  return request({
    url: `/report/team/getMonthCount`,
    method: 'get',
    params: data
  })
}
// /report/team/getDeptCount
export function getDeptCount(data) {
  return request({
    url: `/report/team/getDeptCount`,
    method: 'get',
    params: data
  })
}
// 企业被执法 /report/team/getCompanyCount

export function getCompanyCount(data) {
  return request({
    url: `/report/team/getCompanyCount`,
    method: 'get',
    params: data
  })
}
// 执法类型占比 /report/team/getComplaintTypeCount

export function getComplaintTypeCount(data) {
  return request({
    url: `/report/team/getComplaintTypeCount`,
    method: 'get',
    params: data
  })
}
// /report/team/getComplaintStatusCount 投诉状态占比
export function getComplaintStatusCount(data) {
  return request({
    url: `/report/team/getComplaintStatusCount`,
    method: 'get',
    params: data
  })
}
//  执法类型占比
export function getEnforceTypeCount(data) {
  return request({
    url: `/report/team/getEnforceTypeCount`,
    method: 'get',
    params: data
  })
}
// 处理结果 /enforce/complaint/log/doComplaint
export function  doComplaint(data) {
  return request({
    url: `/enforce/complaint/log/doComplaint`,
    method: 'post',
    data: data
  })
}
// 多机构回显 /system/user/batchUserDeptView

export function batchUserDeptView(data) {
  return request({
    url: `/system/user/batchUserDeptView`,
    method: 'get',
    params: data
  })
}
// 机构树 /system/user/batchUserDeptTree

export function batchUserDeptTree(data) {
  return request({
    url: `/system/user/batchUserDeptTree`,
    method: 'get',
    params: data
  })
}
// 机构数保存 /system/user/batchUserDeptSave

export function batchUserDeptSave(data) {
  return request({
    url: `/system/user/batchUserDeptSave`,
    method: 'post',
    data: data
  })
}